NEW

在CATIA工程圖中為多個草繪元素創建塊

在CATIA工程圖中為多個草繪元素創建塊
在CATIA工程圖中可以通過Detail Sheet命令為草繪元素創建塊,方便草繪元素的管理。 點擊New Detail Sheet命令插入一個Detail Sheet視圖,此視圖和普通的2D Component投影視圖類似,我們可以直接在此視圖中創建直線、圓等草繪元素。創建完成後退出Detail Sheet視圖(在結構樹中将其它sheet激活即可退出Detail Sheet視圖)。 然...

在CATIA工程圖中創建交叉剖面線

在CATIA工程圖中創建交叉剖面線
在剖切玻璃、橡膠等非金屬材料時經常需要使用交叉剖面線,但在CATIA工程圖的剖面線類型中并沒有交叉剖面線。我們可以通過下面兩種方法來創建交叉剖面線。 1、創建兩次剖面線 在工程圖所創建的單斜線剖面線的基礎上使用Area Fill Creation命令再創建一次剖面線。 并設置兩個剖面線的角度互相垂直即可。 2、使用alu 45剖...

在CATIA中創建多凸台(多重拉伸Multi-Pad)

在CATIA中創建多凸台(多重拉伸Multi-Pad)
在CATIA中使用多凸台 (Multi-Pad)命令可以通過使用草圖的子元素對草圖進行多重拉伸,通過一個草圖創建多個不同的拉伸凸台。選擇草圖後,在Multi-Pad Definition對話框中對草圖中的每個子元素設置不同的拉伸數值即可。 需要注意的是如果草圖中含有自相交的線,需要把自相交的線段打斷才能進行拉伸。 當對草圖進行修改,在草圖中增...

在CATIA工程圖中快速添加尺寸前後綴注釋

在CATIA工程圖中快速添加尺寸前後綴注釋
在CATIA工程圖中可以在尺寸的屬性界面為尺寸添加括号、直徑符号、文字等前後綴注釋,詳見《CATIA工程圖在标注尺寸前後插入文字或特殊符号》。還有一種方法可以快速為尺寸添加前後綴注釋。單擊菜單Tool s– options,在Drafting – Manipulators中勾選Insert text before和Insert text after兩個選項。 此時選中尺寸時會在尺寸的前後出...

在CATIA中創建掃描肋(Rib)

在CATIA中創建掃描肋(Rib)
在CATIA中Rib命令(官方給出的翻譯是“肋”?)實際上是一個實體掃描命令,但它有多種掃描方式,下面對其進行一一介紹。 1、中心線-法向截面掃描 這是最常用的方式,指定一個中心線,選擇一個中心線的法向截面,進行常規的掃略操作。 2、提供參考曲面 如果我們給空間曲面創建Rib肋或加強筋時,如果創建的肋和曲面不貼合,可以...

CATIA VBA(VBS) 二次開發實體切割命令AddNewSplit

CATIA VBA(VBS) 二次開發實體切割命令AddNewSplit
在CATIA的VBA/VBS二次開發中可以使用AddNewSplit命令進行實體切割,此命令屬于ShapeFactory類中的方法,函數定義如下: Func AddNewSplit( Reference  iSplittingElement,  CatSplitSide  iSplitSide) As Split 其中:iSplittingElement為切割參考元素;iSplitSide為切割後保留哪一側的選項,有catPositiveSide和catNe...

CATIA VBA(VBS) 二次開發中選擇集的複制粘貼

CATIA VBA(VBS) 二次開發中選擇集的複制粘貼
在CATIA VBA(VBS)二次開發中可以使用Copy、PasteSpecial方法對選擇集進行複制粘貼。示例代碼如下: Sub CATMain() Dim Doc, Prt, SF, Slct, BodyO, BodyN Set Doc = CATIA.ActiveDocument Set Prt = Doc.Part Set Slct = Doc.Selection Dim Status, lType(0) lType(0) = "Body" Status = Slct.SelectElement2(lTy...

CATIA VBA(VBS) 二次開發中的選擇過濾器

CATIA VBA(VBS) 二次開發中的選擇過濾器
在文章《CATIA使用VBA(VBS)二次開發時用戶的交互選擇》中介紹了在CATIA中使用SelectElement2方法進行用戶交互選擇。在使用SelectElement2進行選擇時需要設置選擇過濾器,CATIA CAA Visual Basic中提供了如下兩類選擇過濾器: 直接使用對象名稱作為過濾器關鍵字,如HybridBody、HybridShape、Body、Plane、Point、Line等;使用枚舉類CAT...

CATIA在DMU中通過函數關系式控制運動副的運動速度

CATIA在DMU中通過函數關系式控制運動副的運動速度
在CATIA DMU中可以通過函數關系式控制運動副的運動速度。完成運動副的添加後,點擊Formula命令按鈕打開函數編輯對話框。 在結構樹上的機構(Mechanism)下找到Commands中的驅動命令,在Formula對話框中雙擊即可對其進行編輯。函數關系式的變量為時間變量KINTime。 注意: CATIA中關系的編輯是要帶着單位的,如上圖的驅動命...

CATIA使用VBA(VBS)二次開發時部件集的創建和遍曆

CATIA使用VBA(VBS)二次開發時部件集的創建和遍曆
下面以幾何元素部件集Geometrical set的選擇、創建、遍曆和元素的插入為例介紹在CATIA中使用VBA(VBS)二次開發時部件集的操作方法。 Sub catmain() 'Geometrical set 的選擇 Dim iSelection Set iSelection = CATIA.ActiveDocument.Selection Dim iStatus, iType(0) iType(0) = "HybridBody" iStatus = iSelection.Se...